OptionDef Struct Reference

## Data Fields

const char * | name
int | flags
union {
void * dst_ptr
int(* func_arg )(void *, const char *, const char *)
size_t off
} | u
const char * | help
const char * | argname

## Detailed Description

Definition at line 187 of file fftools_cmdutils.h.

## Field Documentation

## argname

const char* OptionDef::argname

Definition at line 215 of file fftools_cmdutils.h.

## dst_ptr

void* OptionDef::dst_ptr

Definition at line 210 of file fftools_cmdutils.h.

## flags

int OptionDef::flags

Definition at line 189 of file fftools_cmdutils.h.

## func_arg

int(* OptionDef::func_arg) (void *, const char *, const char *)

Definition at line 211 of file fftools_cmdutils.h.

## help

const char* OptionDef::help

Definition at line 214 of file fftools_cmdutils.h.

## name

const char* OptionDef::name

Definition at line 188 of file fftools_cmdutils.h.

## off

size_t OptionDef::off

Definition at line 212 of file fftools_cmdutils.h.

##

union { ... } OptionDef::u

The documentation for this struct was generated from the following file:

- fftools_cmdutils.h